Attribute VB_Name = "feedbackFormula"
Option Explicit
Sub setFeedbackFormula()
    Dim wb As Workbook, ws0 As Worksheet
    Dim rn0 As Range, rn As Range
    
    Dim wsTgt As Worksheet, c As Long, rnTgt As Range, fmla As String
    
    Set wb = ThisWorkbook
    Set ws0 = ThisWorkbook.Worksheets("InternalUseOnly_FeedbackFormula")
    
    Set rn0 = ws0.Cells(2, 1)
    Set rn0 = Application.Range(rn0, rn0.End(xlDown))
    
    For Each rn In rn0
        Set wsTgt = wb.Worksheets(rn.Value)
        
                ' find target column by looking at row 1,
        c = -1
        On Error Resume Next
        c = Application.WorksheetFunction.Match(rn.Offset(0, 1).Value, wsTgt.Rows(1), 0)
        On Error GoTo 0
        If c <= 0 Then
            GoTo continue_for
        End If
        
        Debug.Print rn.Value, rn.Offset(0, 1).Value
        
        ' grab cells where the rule applies
        ' assume firt column is id field, and grab nonempty
        Debug.Assert Not IsEmpty(wsTgt.Cells(1, 1))
        Set rnTgt = wsTgt.Cells(2, 1)
        If IsEmpty(rnTgt) Then
            GoTo continue_for
        End If
        If Not IsEmpty(rnTgt.Offset(1, 0)) Then
            Set rnTgt = Application.Range(rnTgt, rnTgt.End(xlDown))
        End If
        Set rnTgt = rnTgt.Offset(0, c - 1)
        
        
'        Set rnTgt = Application.Intersect(wsTgt.Columns(c), wsTgt.UsedRange)
'        If rnTgt.Rows.Count < 2 Or IsEmpty(rnTgt.Cells(2, 1)) Then
'            GoTo continue_for
'        End If
'        Set rnTgt = Application.Range(rnTgt(2, 1), rnTgt(rnTgt.Rows.Count, 1))
        
        fmla = rn.Offset(0, 2).Value
        
        rnTgt(1, 1).Formula = fmla
        If rnTgt.Rows.Count() > 1 Then
            rnTgt.FillDown
        End If
        

continue_for:
        
    Next


    
End Sub




